Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class GMFGraphFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.gmf.gmfgraph.impl.GMFGraphFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, GMFGraphFactory

    public class GMFGraphFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements GMFGraphFactory

An implementation of the model Factory.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.gmfgraph.GMFGraphFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`GMFGraphFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertColorConstantsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDirectionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertFontStyleToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLineKindToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSVGPropertyTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`AlignmentFacet` `createAlignmentFacet()`
`Alignment` `createAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`BasicFont` `createBasicFont()`
`BorderLayout` `createBorderLayout()`
`BorderLayoutData` `createBorderLayoutData()`
`BorderRef` `createBorderRef()`
`Canvas` `createCanvas()`
`ChildAccess` `createChildAccess()`
`ColorConstants` `createColorConstantsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Compartment` `createCompartment()`
`CompoundBorder` `createCompoundBorder()`
`Connection` `createConnection()`
`ConstantColor` `createConstantColor()`
`CustomAttribute` `createCustomAttribute()`
`CustomBorder` `createCustomBorder()`
`CustomConnection` `createCustomConnection()`
`CustomDecoration` `createCustomDecoration()`
`CustomFigure` `createCustomFigure()`
`CustomLayout` `createCustomLayout()`
`CustomLayoutData` `createCustomLayoutData()`
`DefaultSizeFacet` `createDefaultSizeFacet()`
`DiagramLabel` `createDiagramLabel()`
`Dimension` `createDimension()`
`Direction` `createDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Ellipse` `createEllipse()`
`FigureAccessor` `createFigureAccessor()`
`FigureDescriptor` `createFigureDescriptor()`
`FigureGallery` `createFigureGallery()`
`FigureRef` `createFigureRef()`
`FlowLayout` `createFlowLayout()`
`FontStyle` `createFontStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GeneralFacet` `createGeneralFacet()`
`GradientFacet` `createGradientFacet()`
`GridLayout` `createGridLayout()`
`GridLayoutData` `createGridLayoutData()`
`Insets` `createInsets()`
`Label` `createLabel()`
`LabeledContainer` `createLabeledContainer()`
`LabelOffsetFacet` `createLabelOffsetFacet()`
`LayoutRef` `createLayoutRef()`
`LineBorder` `createLineBorder()`
`LineKind` `createLineKindFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`MarginBorder` `createMarginBorder()`
`Node` `createNode()`
`Point` `createPoint()`
`Polygon` `createPolygon()`
`PolygonDecoration` `createPolygonDecoration()`
`Polyline` `createPolyline()`
`PolylineConnection` `createPolylineConnection()`
`PolylineDecoration` `createPolylineDecoration()`
`Rectangle` `createRectangle()`
`Rectangle2D` `createRectangle2D()`
`RGBColor` `createRGBColor()`
`RoundedRectangle` `createRoundedRectangle()`
`ScalablePolygon` `createScalablePolygon()`
`StackLayout` `createStackLayout()`
`SVGFigure` `createSVGFigure()`
`SVGProperty` `createSVGProperty()`
`SVGPropertyType` `createSVGPropertyTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`XYLayout` `createXYLayout()`
`XYLayoutData` `createXYLayoutData()`
`GMFGraphPackage` `getGMFGraphPackage()`
`static GMFGraphPackage` `getPackage()` Deprecated.
`static GMFGraphFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GMFGraphFactoryImpl

    public GMFGraphFactoryImpl()

  Creates an instance of the factory.

  ** Generated **

Method Detail

### init

    public static GMFGraphFactory init()

  Creates the default factory implementation.

  ** Generated **

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createCanvas

    public Canvas createCanvas()

  Specified by:
    `createCanvas` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Canvas'.
  ** Generated **

### createFigureGallery

    public FigureGallery createFigureGallery()

  Specified by:
    `createFigureGallery` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Figure Gallery'.
  ** Generated **

### createNode

    public Node createNode()

  Specified by:
    `createNode` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Node'.
  ** Generated **

### createChildAccess

    public ChildAccess createChildAccess()

  Specified by:
    `createChildAccess` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Child Access'.
  ** Generated **

### createConnection

    public Connection createConnection()

  Specified by:
    `createConnection` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Connection'.
  ** Generated **

### createCompartment

    public Compartment createCompartment()

  Specified by:
    `createCompartment` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Compartment'.
  ** Generated **

### createDiagramLabel

    public DiagramLabel createDiagramLabel()

  Specified by:
    `createDiagramLabel` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Diagram Label'.
  ** Generated **

### createGeneralFacet

    public GeneralFacet createGeneralFacet()

  Specified by:
    `createGeneralFacet` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'General Facet'.
  ** Generated **

### createAlignmentFacet

    public AlignmentFacet createAlignmentFacet()

  Specified by:
    `createAlignmentFacet` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Alignment Facet'.
  ** Generated **

### createGradientFacet

    public GradientFacet createGradientFacet()

  Specified by:
    `createGradientFacet` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Gradient Facet'.
  ** Generated **

### createLabelOffsetFacet

    public LabelOffsetFacet createLabelOffsetFacet()

  Specified by:
    `createLabelOffsetFacet` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Label Offset Facet'.
  ** Generated **

### createDefaultSizeFacet

    public DefaultSizeFacet createDefaultSizeFacet()

  Specified by:
    `createDefaultSizeFacet` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Default Size Facet'.
  ** Generated **

### createFigureDescriptor

    public FigureDescriptor createFigureDescriptor()

  Specified by:
    `createFigureDescriptor` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Figure Descriptor'.
  ** Generated **

### createFigureRef

    public FigureRef createFigureRef()

  Specified by:
    `createFigureRef` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Figure Ref'.
  ** Generated **

### createLabel

    public Label createLabel()

  Specified by:
    `createLabel` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Label'.
  ** Generated **

### createLabeledContainer

    public LabeledContainer createLabeledContainer()

  Specified by:
    `createLabeledContainer` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Labeled Container'.
  ** Generated **

### createRectangle

    public Rectangle createRectangle()

  Specified by:
    `createRectangle` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Rectangle'.
  ** Generated **

### createRoundedRectangle

    public RoundedRectangle createRoundedRectangle()

  Specified by:
    `createRoundedRectangle` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Rounded Rectangle'.
  ** Generated **

### createEllipse

    public Ellipse createEllipse()

  Specified by:
    `createEllipse` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Ellipse'.
  ** Generated **

### createPolyline

    public Polyline createPolyline()

  Specified by:
    `createPolyline` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Polyline'.
  ** Generated **

### createPolygon

    public Polygon createPolygon()

  Specified by:
    `createPolygon` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Polygon'.
  ** Generated **

### createScalablePolygon

    public ScalablePolygon createScalablePolygon()

  Specified by:
    `createScalablePolygon` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Scalable Polygon'.
  ** Generated **

### createPolylineConnection

    public PolylineConnection createPolylineConnection()

  Specified by:
    `createPolylineConnection` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Polyline Connection'.
  ** Generated **

### createPolylineDecoration

    public PolylineDecoration createPolylineDecoration()

  Specified by:
    `createPolylineDecoration` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Polyline Decoration'.
  ** Generated **

### createPolygonDecoration

    public PolygonDecoration createPolygonDecoration()

  Specified by:
    `createPolygonDecoration` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Polygon Decoration'.
  ** Generated **

### createCustomFigure

    public CustomFigure createCustomFigure()

  Specified by:
    `createCustomFigure` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Custom Figure'.
  ** Generated **

### createCustomDecoration

    public CustomDecoration createCustomDecoration()

  Specified by:
    `createCustomDecoration` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Custom Decoration'.
  ** Generated **

### createCustomConnection

    public CustomConnection createCustomConnection()

  Specified by:
    `createCustomConnection` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Custom Connection'.
  ** Generated **

### createRGBColor

    public RGBColor createRGBColor()

  Specified by:
    `createRGBColor` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'RGB Color'.
  ** Generated **

### createConstantColor

    public ConstantColor createConstantColor()

  Specified by:
    `createConstantColor` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Constant Color'.
  ** Generated **

### createBasicFont

    public BasicFont createBasicFont()

  Specified by:
    `createBasicFont` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Basic Font'.
  ** Generated **

### createPoint

    public Point createPoint()

  Specified by:
    `createPoint` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Point'.
  ** Generated **

### createDimension

    public Dimension createDimension()

  Specified by:
    `createDimension` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Dimension'.
  ** Generated **

### createInsets

    public Insets createInsets()

  Specified by:
    `createInsets` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Insets'.
  ** Generated **

### createBorderRef

    public BorderRef createBorderRef()

  Specified by:
    `createBorderRef` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Border Ref'.
  ** Generated **

### createLineBorder

    public LineBorder createLineBorder()

  Specified by:
    `createLineBorder` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Line Border'.
  ** Generated **

### createMarginBorder

    public MarginBorder createMarginBorder()

  Specified by:
    `createMarginBorder` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Margin Border'.
  ** Generated **

### createCompoundBorder

    public CompoundBorder createCompoundBorder()

  Specified by:
    `createCompoundBorder` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Compound Border'.
  ** Generated **

### createCustomBorder

    public CustomBorder createCustomBorder()

  Specified by:
    `createCustomBorder` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Custom Border'.
  ** Generated **

### createCustomLayoutData

    public CustomLayoutData createCustomLayoutData()

  Specified by:
    `createCustomLayoutData` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Custom Layout Data'.
  ** Generated **

### createGridLayoutData

    public GridLayoutData createGridLayoutData()

  Specified by:
    `createGridLayoutData` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Grid Layout Data'.
  ** Generated **

### createBorderLayoutData

    public BorderLayoutData createBorderLayoutData()

  Specified by:
    `createBorderLayoutData` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Border Layout Data'.
  ** Generated **

### createLayoutRef

    public LayoutRef createLayoutRef()

  Specified by:
    `createLayoutRef` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Layout Ref'.
  ** Generated **

### createCustomLayout

    public CustomLayout createCustomLayout()

  Specified by:
    `createCustomLayout` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Custom Layout'.
  ** Generated **

### createGridLayout

    public GridLayout createGridLayout()

  Specified by:
    `createGridLayout` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Grid Layout'.
  ** Generated **

### createBorderLayout

    public BorderLayout createBorderLayout()

  Specified by:
    `createBorderLayout` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Border Layout'.
  ** Generated **

### createCustomAttribute

    public CustomAttribute createCustomAttribute()

  Specified by:
    `createCustomAttribute` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Custom Attribute'.
  ** Generated **

### createFigureAccessor

    public FigureAccessor createFigureAccessor()

  Specified by:
    `createFigureAccessor` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Figure Accessor'.
  ** Generated **

### createFlowLayout

    public FlowLayout createFlowLayout()

  Specified by:
    `createFlowLayout` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Flow Layout'.
  ** Generated **

### createXYLayout

    public XYLayout createXYLayout()

  Specified by:
    `createXYLayout` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'XY Layout'.
  ** Generated **

### createXYLayoutData

    public XYLayoutData createXYLayoutData()

  Specified by:
    `createXYLayoutData` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'XY Layout Data'.
  ** Generated **

### createStackLayout

    public StackLayout createStackLayout()

  Specified by:
    `createStackLayout` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Stack Layout'.
  ** Generated **

### createSVGFigure

    public SVGFigure createSVGFigure()

  Specified by:
    `createSVGFigure` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'SVG Figure'.
  ** Generated **

### createSVGProperty

    public SVGProperty createSVGProperty()

  Specified by:
    `createSVGProperty` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'SVG Property'.
  ** Generated **

### createRectangle2D

    public Rectangle2D createRectangle2D()

  Specified by:
    `createRectangle2D` in interface `GMFGraphFactory`
  Returns:
    a new object of class 'Rectangle2 D'.
  ** Generated **

### createColorConstantsFromString

    public ColorConstants createColorConstantsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

  ** Generated **

### convertColorConstantsToString

    public java.lang.String convertColorConstantsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

  ** Generated **

### createFontStyleFromString

    public FontStyle createFontStyleFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertFontStyleToString

    public java.lang.String convertFontStyleToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createDirectionFromString

    public Direction createDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertDirectionToString

    public java.lang.String convertDirectionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createLineKindFromString

    public LineKind createLineKindFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  ** Generated **

### convertLineKindToString

    public java.lang.String convertLineKindToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

  ** Generated **

### createAlignmentFromString

    public Alignment createAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertAlignmentToString

    public java.lang.String convertAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createSVGPropertyTypeFromString

    public SVGPropertyType createSVGPropertyTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

  ** Generated **

### convertSVGPropertyTypeToString

    public java.lang.String convertSVGPropertyTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.Object instanceValue)

  ** Generated **

### getGMFGraphPackage

    public GMFGraphPackage getGMFGraphPackage()

  Specified by:
    `getGMFGraphPackage` in interface `GMFGraphFactory`
  Returns:
    the package supported by this factory.
  ** Generated **

### getPackage

    @Deprecated
    public static GMFGraphPackage getPackage()

  Deprecated.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.